umbrello: CodeTextEdit Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Slots | Private Attributes | List of all members
CodeTextEdit Class Reference

`#include <codetextedit.h>`

Inheritance diagram for CodeTextEdit:

## Public Member Functions
| CodeTextEdit (QWidget *parent=0)
void | lineNumberAreaPaintEvent (QPaintEvent *event)
int | lineNumberAreaWidth ()

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)

## Private Slots
void | updateLineNumberAreaWidth (int newBlockCount)
void | highlightCurrentLine ()
void | updateLineNumberArea (const QRect &, int)

## Private Attributes
QWidget * | m_lineNumberArea
CodeTextHighlighter * | m_highlighter

## Constructor & Destructor Documentation

## ◆ CodeTextEdit()

CodeTextEdit::CodeTextEdit | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.

Parameters

  parent | the parent widget

## Member Function Documentation

## ◆ highlightCurrentLine

void CodeTextEdit::highlightCurrentLine | ( |  | ) |
| privateslot

## ◆ lineNumberAreaPaintEvent()

void CodeTextEdit::lineNumberAreaPaintEvent | ( | QPaintEvent * | event | ) |

## ◆ lineNumberAreaWidth()

int CodeTextEdit::lineNumberAreaWidth | ( |  | ) |

Calculates the needed width of the line number area.

Returns
  width of line number area

## ◆ resizeEvent()

void CodeTextEdit::resizeEvent | ( | QResizeEvent * | event | ) |
| protected

## ◆ updateLineNumberArea

void CodeTextEdit::updateLineNumberArea | ( | const QRect & | rect,
|  | int | dy
| ) |  |
| privateslot

## ◆ updateLineNumberAreaWidth

void CodeTextEdit::updateLineNumberAreaWidth | ( | int | newBlockCount | ) |
| privateslot

Slot for 'blockCountChanged'. Sets new viewport margins according to the width of the line number area.

Parameters

  newBlockCount | unused

## Member Data Documentation

## ◆ m_highlighter

CodeTextHighlighter* CodeTextEdit::m_highlighter
| private

## ◆ m_lineNumberArea

QWidget* CodeTextEdit::m_lineNumberArea
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/codetextedit.h
- umbrello/dialogs/codetextedit.cpp